# Kubernetes::Object::V1beta1APIServiceCondition

## Load the model package
```perl
use Kubernetes::Object::V1beta1APIServiceCondition;
```

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**last_transition_time** | **DateTime** | Last time the condition transitioned from one status to another. | [optional] 
**message** | **string** | Human-readable message indicating details about last transition. | [optional] 
**reason** | **string** | Unique, one-word, CamelCase reason for the condition&#39;s last transition. | [optional] 
**status** | **string** | Status is the status of the condition. Can be True, False, Unknown. | 
**type** | **string** | Type is the type of the condition. | 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


